This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 992224 - merkaartor: FTBFS in rawhide(arm)
merkaartor: FTBFS in rawhide(arm)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: merkaartor (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-04 23:33 EDT by Dennis Gilmore
Modified: 2013-12-13 22:22 EST (History)
4 users (show)

See Also:
Fixed In Version: merkaartor-0.18.1-8.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:22:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-04 23:33:18 EDT
Your package merkaartor failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5712991

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/2991/5712991/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/2991/5712991/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/2991/5712991/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Fedora End Of Life 2013-09-16 11:19:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Rex Dieter 2013-12-03 12:15:45 EST
Usual culprit here is the assumption that qreal = double (which is not true on arm)
Comment 3 Kevin Kofler 2013-12-03 12:37:30 EST
common/Projection.cpp:154:70: error: cannot convert 'qreal* {aka float*}' to 'double*' …
So, yes, it's a qreal issue.

Debian has some fixes for it, but patch-tracker.debian.org (the most convenient way to get at them) is not responding right now.
Comment 5 Fedora Update System 2013-12-03 15:57:46 EST
merkaartor-0.18.1-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/merkaartor-0.18.1-7.fc20
Comment 6 Kevin Kofler 2013-12-03 16:01:16 EST
That fix from Debian is not correct. You can't just cast a qreal * to (double *). It will make it compile, but it will crash or compute nonsense.
Comment 7 Rex Dieter 2013-12-03 16:06:42 EST
ok, update revoked, until we have something better.
Comment 8 Sven Lankes 2013-12-04 05:37:36 EST
Just - FYI - unfortunately merkaartor is pretty much dead upstream so I'm thinking about retiring it.
Comment 9 Kevin Kofler 2013-12-04 06:14:47 EST
Please don't retire it! The package is working fine (except on ARM, and we're looking into that) and is IMHO still the nicest OSM editor out there. Sure, JOSM has more features, but it's also a heavy Java app that's not as nice to use as the Qt-based Merkaartor, and there are also some features Merkaartor has that JOSM doesn't have.
Comment 10 Kevin Kofler 2013-12-04 06:26:19 EST
(If you really don't want to maintain it, orphan it and let somebody else pick it up. But it's not that much work to keep things running especially when there aren't any new releases to worry about.)

For the qreal * vs. double * issue, we need to look at what pointers the callers are actually passing. The easiest fix might be to just change the functions to take double * pointers and making sure the callers are really passing pointers to double, not qreal. If that's impractical, then the conversion has to be made in the projTransform* wrapper functions.
Comment 13 Fedora Update System 2013-12-04 13:52:14 EST
merkaartor-0.18.1-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/merkaartor-0.18.1-8.fc20
Comment 14 Fedora Update System 2013-12-04 19:42:47 EST
Package merkaartor-0.18.1-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing merkaartor-0.18.1-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22755/merkaartor-0.18.1-8.fc20
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-12-13 22:22:52 EST
merkaartor-0.18.1-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.